
<!DOCTYPE html>

<html>
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Selection of CFOSAT-Satellite data &#8212; CFOSAT-Forecast</title>
    
  <link href="../_static/css/theme.css" rel="stylesheet" />
  <link href="../_static/css/index.c5995385ac14fb8791e8eb36b4908be2.css" rel="stylesheet" />

    
  <link rel="stylesheet"
    href="../_static/vendor/fontawesome/5.13.0/css/all.min.css">
  <link rel="preload" as="font" type="font/woff2" crossorigin
    href="../_static/vendor/fontawesome/5.13.0/webfonts/fa-solid-900.woff2">
  <link rel="preload" as="font" type="font/woff2" crossorigin
    href="../_static/vendor/fontawesome/5.13.0/webfonts/fa-brands-400.woff2">

    
      

    
    <link rel="stylesheet" type="text/css" href="../_static/pygments.css" />
    <link rel="stylesheet" type="text/css" href="../_static/sphinx-book-theme.css?digest=c3fdc42140077d1ad13ad2f1588a4309" />
    <link rel="stylesheet" type="text/css" href="../_static/togglebutton.css" />
    <link rel="stylesheet" type="text/css" href="../_static/copybutton.css" />
    <link rel="stylesheet" type="text/css" href="../_static/mystnb.css" />
    <link rel="stylesheet" type="text/css" href="../_static/sphinx-thebe.css" />
    <link rel="stylesheet" type="text/css" href="../_static/panels-main.c949a650a448cc0ae9fd3441c0e17fb0.css" />
    <link rel="stylesheet" type="text/css" href="../_static/panels-variables.06eb56fa6e07937060861dad626602ad.css" />
    
  <link rel="preload" as="script" href="../_static/js/index.1c5a1a01449ed65a7b51.js">

    <script data-url_root="../" id="documentation_options" src="../_static/documentation_options.js"></script>
    <script src="../_static/jquery.js"></script>
    <script src="../_static/underscore.js"></script>
    <script src="../_static/doctools.js"></script>
    <script src="../_static/togglebutton.js"></script>
    <script src="../_static/clipboard.min.js"></script>
    <script src="../_static/copybutton.js"></script>
    <script>var togglebuttonSelector = '.toggle, .admonition.dropdown, .tag_hide_input div.cell_input, .tag_hide-input div.cell_input, .tag_hide_output div.cell_output, .tag_hide-output div.cell_output, .tag_hide_cell.cell, .tag_hide-cell.cell';</script>
    <script src="../_static/sphinx-book-theme.12a9622fbb08dcb3a2a40b2c02b83a57.js"></script>
    <script async="async" src="https://unpkg.com/thebe@0.5.1/lib/index.js"></script>
    <script>
        const thebe_selector = ".thebe"
        const thebe_selector_input = "pre"
        const thebe_selector_output = ".output"
    </script>
    <script async="async" src="../_static/sphinx-thebe.js"></script>
    <link rel="index" title="Index" href="../genindex.html" />
    <link rel="search" title="Search" href="../search.html" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <meta name="docsearch:language" content="en" />
    
  </head>
  <body data-spy="scroll" data-target="#bd-toc-nav" data-offset="80">
    
    <div class="container-fluid" id="banner"></div>

    

    <div class="container-xl">
      <div class="row">
          
<div class="col-12 col-md-3 bd-sidebar site-navigation show" id="site-navigation">
    
        <div class="navbar-brand-box">
    <a class="navbar-brand text-wrap" href="../index.html">
      
        <!-- `logo` is deprecated in Sphinx 4.0, so remove this when we stop supporting 3 -->
        
      
      
      <img src="../_static/uclops.png" class="logo" alt="logo">
      
      
      <h1 class="site-logo" id="site-title">CFOSAT-Forecast</h1>
      
    </a>
</div><form class="bd-search d-flex align-items-center" action="../search.html" method="get">
  <i class="icon fas fa-search"></i>
  <input type="search" class="form-control" name="q" id="search-input" placeholder="Buscar este libro ..." aria-label="Buscar este libro ..." autocomplete="off" >
</form><nav class="bd-links" id="bd-docs-nav" aria-label="Main">
    <div class="bd-toc-item active">
        <ul class="nav bd-sidenav">
 <li class="toctree-l1">
  <a class="reference internal" href="../intro.html">
   CFOSAT-based Swell Forecast System
  </a>
 </li>
</ul>
<ul class="nav bd-sidenav">
 <li class="toctree-l1">
  <a class="reference internal" href="../SF1_SpatialTemporal_Selection.html">
   Selection of CFOSAT passes over the ESTELA area
  </a>
 </li>
 <li class="toctree-l1">
  <a class="reference internal" href="../SF2_Passes_Viewer.html">
   Visualization of Satellite passes
  </a>
 </li>
 <li class="toctree-l1">
  <a class="reference internal" href="../SF3_ModelSat_animation.html">
   Animation Satellite Model
  </a>
 </li>
 <li class="toctree-l1">
  <a class="reference internal" href="../SF5_EnergyBins.html">
   Storage energy bins
  </a>
 </li>
 <li class="toctree-l1">
  <a class="reference internal" href="../SF5a_Plot_EnergyBins.html">
   Satellite-model correlation in energy quantity and arrival time
  </a>
 </li>
 <li class="toctree-l1">
  <a class="reference internal" href="../SF6_Validation_Partitions.html">
   Partitions correction: Comparison between MFWAM model and CFOSAT
  </a>
 </li>
 <li class="toctree-l1">
  <a class="reference internal" href="../SF7_Propagation_Bins.html">
   From energy bins: Calculate Hs, T, C, Ttime
  </a>
 </li>
 <li class="toctree-l1">
  <a class="reference internal" href="../SF8_Forecast_Bins_dissipation.html">
   Validation CFOSAT Forecast - WW3 spectral station
  </a>
 </li>
 <li class="toctree-l1">
  <a class="reference internal" href="../SF8_Forecast_Bins.html">
   Validation CFOSAT Forecast - WW3 spectral station
  </a>
 </li>
 <li class="toctree-l1">
  <a class="reference internal" href="../SF9a_SwellField_Reconstruction.html">
   Swell Field reconstruction
  </a>
 </li>
 <li class="toctree-l1">
  <a class="reference internal" href="../SF10_Forecast_Example.html">
   Wrap
  </a>
 </li>
</ul>

    </div>
</nav> <!-- To handle the deprecated key -->

<div class="navbar_extra_footer">
  Powered by <a href="https://jupyterbook.org">Jupyter Book</a>
</div>

</div>


          


          
<main class="col py-md-3 pl-md-4 bd-content overflow-auto" role="main">
    
    <div class="topbar container-xl fixed-top">
    <div class="topbar-contents row">
        <div class="col-12 col-md-3 bd-topbar-whitespace site-navigation show"></div>
        <div class="col pl-md-4 topbar-main">
            
            <button id="navbar-toggler" class="navbar-toggler ml-0" type="button" data-toggle="collapse"
                data-toggle="tooltip" data-placement="bottom" data-target=".site-navigation" aria-controls="navbar-menu"
                aria-expanded="true" aria-label="Navegación de palanca" aria-controls="site-navigation"
                title="Navegación de palanca" data-toggle="tooltip" data-placement="left">
                <i class="fas fa-bars"></i>
                <i class="fas fa-arrow-left"></i>
                <i class="fas fa-arrow-up"></i>
            </button>
            
            
<div class="dropdown-buttons-trigger">
    <button id="dropdown-buttons-trigger" class="btn btn-secondary topbarbtn" aria-label="Descarga esta pagina"><i
            class="fas fa-download"></i></button>

    <div class="dropdown-buttons">
        <!-- ipynb file if we had a myst markdown file -->
        
        <!-- Download raw file -->
        <a class="dropdown-buttons" href="../_sources/ipynb/SF1_SpatialTemporal_Selection.ipynb"><button type="button"
                class="btn btn-secondary topbarbtn" title="Descargar archivo fuente" data-toggle="tooltip"
                data-placement="left">.ipynb</button></a>
        <!-- Download PDF via print -->
        <button type="button" id="download-print" class="btn btn-secondary topbarbtn" title="Imprimir en PDF"
            onClick="window.print()" data-toggle="tooltip" data-placement="left">.pdf</button>
    </div>
</div>

            <!-- Source interaction buttons -->

<div class="dropdown-buttons-trigger">
    <button id="dropdown-buttons-trigger" class="btn btn-secondary topbarbtn"
        aria-label="Connect with source repository"><i class="fab fa-github"></i></button>
    <div class="dropdown-buttons sourcebuttons">
        <a class="repository-button"
            href="https://gitlab.com/AlbaRicondo/cfosat-forecast"><button type="button" class="btn btn-secondary topbarbtn"
                data-toggle="tooltip" data-placement="left" title="Repositorio de origen"><i
                    class="fab fa-github"></i>repositorio</button></a>
        <a class="issues-button"
            href="https://gitlab.com/AlbaRicondo/cfosat-forecast/issues/new?title=Issue%20on%20page%20%2Fipynb/SF1_SpatialTemporal_Selection.html&body=Your%20issue%20content%20here."><button
                type="button" class="btn btn-secondary topbarbtn" data-toggle="tooltip" data-placement="left"
                title="Abrir un problema"><i class="fas fa-lightbulb"></i>Tema abierto</button></a>
        
    </div>
</div>

            <!-- Full screen (wrap in <a> to have style consistency -->

<a class="full-screen-button"><button type="button" class="btn btn-secondary topbarbtn" data-toggle="tooltip"
        data-placement="bottom" onclick="toggleFullScreen()" aria-label="Modo de pantalla completa"
        title="Modo de pantalla completa"><i
            class="fas fa-expand"></i></button></a>

            <!-- Launch buttons -->

        </div>

        <!-- Table of contents -->
        <div class="d-none d-md-block col-md-2 bd-toc show">
            
            <div class="tocsection onthispage pt-5 pb-3">
                <i class="fas fa-list"></i> Contenido
            </div>
            <nav id="bd-toc-nav" aria-label="Page">
                <ul class="visible nav section-nav flex-column">
 <li class="toc-h2 nav-item toc-entry">
  <a class="reference internal nav-link" href="#geographical-criteria">
   Geographical Criteria
  </a>
 </li>
 <li class="toc-h2 nav-item toc-entry">
  <a class="reference internal nav-link" href="#travel-time-criteria">
   Travel Time Criteria
  </a>
 </li>
 <li class="toc-h2 nav-item toc-entry">
  <a class="reference internal nav-link" href="#load-satellite-track-time-lags-and-starting-time">
   Load satellite track time-lags and starting time
  </a>
 </li>
 <li class="toc-h2 nav-item toc-entry">
  <a class="reference internal nav-link" href="#obtain-the-pass-over-date-time">
   Obtain the pass over date &amp; time
  </a>
 </li>
</ul>

            </nav>
        </div>
    </div>
</div>
    <div id="main-content" class="row">
        <div class="col-12 col-md-9 pl-md-3 pr-md-0">
        
              <div>
                
  <div class="cell docutils container">
<div class="cell_input docutils container">
<div class="highlight-ipython3 notranslate"><div class="highlight"><pre><span></span><span class="c1"># sys</span>
<span class="kn">import</span> <span class="nn">os</span>
<span class="kn">import</span> <span class="nn">os.path</span> <span class="k">as</span> <span class="nn">op</span>
<span class="kn">import</span> <span class="nn">sys</span>

<span class="c1"># basics</span>
<span class="kn">import</span> <span class="nn">numpy</span> <span class="k">as</span> <span class="nn">np</span>
<span class="kn">import</span> <span class="nn">pandas</span> <span class="k">as</span> <span class="nn">pd</span>
<span class="kn">import</span> <span class="nn">xarray</span> <span class="k">as</span> <span class="nn">xr</span>
<span class="kn">from</span> <span class="nn">matplotlib</span> <span class="kn">import</span> <span class="n">pyplot</span> <span class="k">as</span> <span class="n">plt</span>

<span class="c1"># dev library</span>
<span class="kn">import</span> <span class="nn">sys</span>
<span class="n">sys</span><span class="o">.</span><span class="n">path</span><span class="o">.</span><span class="n">insert</span><span class="p">(</span><span class="mi">0</span><span class="p">,</span> <span class="n">op</span><span class="o">.</span><span class="n">join</span><span class="p">(</span><span class="n">os</span><span class="o">.</span><span class="n">path</span><span class="o">.</span><span class="n">abspath</span><span class="p">(</span><span class="s1">&#39;&#39;</span><span class="p">),</span> <span class="s1">&#39;..&#39;</span><span class="p">))</span>

<span class="c1"># dependencies</span>
<span class="kn">from</span> <span class="nn">lib</span> <span class="kn">import</span> <span class="n">plot_sat</span><span class="p">,</span> <span class="n">sat</span><span class="p">,</span> <span class="n">io</span>
<span class="kn">from</span> <span class="nn">lib.config</span> <span class="kn">import</span> <span class="o">*</span>

<span class="c1"># warnings</span>
<span class="kn">import</span> <span class="nn">warnings</span>
<span class="n">warnings</span><span class="o">.</span><span class="n">filterwarnings</span><span class="p">(</span><span class="s2">&quot;ignore&quot;</span><span class="p">)</span>
</pre></div>
</div>
</div>
</div>
<div class="tex2jax_ignore mathjax_ignore section" id="selection-of-cfosat-satellite-data">
<h1>Selection of CFOSAT-Satellite data<a class="headerlink" href="#selection-of-cfosat-satellite-data" title="Permalink to this headline">¶</a></h1>
<p>ESTELA :
Evaluation of Source of wave Energy reaching a Local Area method from Perez et al., (2014), identifies the relevant amount of energy directed along great circle arcs toward the study site using the partitioned wave spectra from CAWCR hindcast at a global scale<br></p>
<p>Based on:</p>
<ul class="simple">
<li><p>Geographical Criteria</p></li>
<li><p>Travel Time Criteria</p></li>
</ul>
<div class="section" id="geographical-criteria">
<h2>Geographical Criteria<a class="headerlink" href="#geographical-criteria" title="Permalink to this headline">¶</a></h2>
<div class="cell docutils container">
<div class="cell_input docutils container">
<div class="highlight-ipython3 notranslate"><div class="highlight"><pre><span></span><span class="n">est</span> <span class="o">=</span> <span class="n">xr</span><span class="o">.</span><span class="n">open_dataset</span><span class="p">(</span><span class="n">op</span><span class="o">.</span><span class="n">join</span><span class="p">(</span><span class="n">p_data</span><span class="p">,</span><span class="s1">&#39;Estela_samoa.nc&#39;</span><span class="p">),</span> <span class="n">decode_times</span><span class="o">=</span><span class="kc">False</span><span class="p">)</span>

<span class="n">est</span> <span class="o">=</span> <span class="n">est</span><span class="o">.</span><span class="n">sel</span><span class="p">(</span><span class="n">time</span><span class="o">=</span><span class="s1">&#39;ALL&#39;</span><span class="p">)</span>
<span class="n">est</span> <span class="o">=</span> <span class="n">est</span><span class="o">.</span><span class="n">assign</span><span class="p">({</span><span class="s1">&#39;estela_mask&#39;</span><span class="p">:((</span><span class="s1">&#39;latitude&#39;</span><span class="p">,</span><span class="s1">&#39;longitude&#39;</span><span class="p">),</span><span class="n">np</span><span class="o">.</span><span class="n">where</span><span class="p">(</span><span class="n">est</span><span class="o">.</span><span class="n">F</span><span class="o">.</span><span class="n">values</span><span class="o">&gt;</span><span class="mi">0</span><span class="p">,</span><span class="mi">1</span><span class="p">,</span><span class="n">np</span><span class="o">.</span><span class="n">nan</span><span class="p">))})</span>
<span class="n">estela_mask</span> <span class="o">=</span> <span class="n">est</span><span class="o">.</span><span class="n">estela_mask</span> <span class="c1"># mask for slp</span>
</pre></div>
</div>
</div>
</div>
<div class="cell docutils container">
<div class="cell_input docutils container">
<div class="highlight-ipython3 notranslate"><div class="highlight"><pre><span></span><span class="n">figsize</span> <span class="o">=</span> <span class="p">(</span><span class="mi">25</span><span class="p">,</span><span class="mi">15</span><span class="p">)</span>
<span class="n">figsize</span> <span class="o">=</span> <span class="kc">None</span>
<span class="n">title</span> <span class="o">=</span> <span class="s1">&#39;Evaluation Source of Energy&#39;</span>
<span class="n">fig</span><span class="p">,</span> <span class="n">ax</span> <span class="o">=</span> <span class="n">plot_sat</span><span class="o">.</span><span class="n">estela_map</span><span class="p">(</span><span class="n">figsize</span><span class="p">,</span> <span class="n">title</span><span class="p">,</span> <span class="n">estela_mask</span><span class="p">)</span>
</pre></div>
</div>
</div>
<div class="cell_output docutils container">
<img alt="../_images/SF1_SpatialTemporal_Selection_5_0.png" src="../_images/SF1_SpatialTemporal_Selection_5_0.png" />
</div>
</div>
</div>
<div class="section" id="travel-time-criteria">
<h2>Travel Time Criteria<a class="headerlink" href="#travel-time-criteria" title="Permalink to this headline">¶</a></h2>
<div class="cell docutils container">
<div class="cell_input docutils container">
<div class="highlight-ipython3 notranslate"><div class="highlight"><pre><span></span><span class="n">dayYear</span> <span class="o">=</span> <span class="n">forecast_day</span><span class="o">.</span><span class="n">strftime</span><span class="p">(</span><span class="s1">&#39;%j&#39;</span><span class="p">)</span>
</pre></div>
</div>
</div>
</div>
<div class="cell docutils container">
<div class="cell_input docutils container">
<div class="highlight-ipython3 notranslate"><div class="highlight"><pre><span></span><span class="n">dayYear</span>
</pre></div>
</div>
</div>
<div class="cell_output docutils container">
<div class="output text_plain highlight-myst-ansi notranslate"><div class="highlight"><pre><span></span>&#39;054&#39;
</pre></div>
</div>
</div>
</div>
<div class="cell docutils container">
<div class="cell_input docutils container">
<div class="highlight-ipython3 notranslate"><div class="highlight"><pre><span></span><span class="n">files_sort</span> <span class="o">=</span> <span class="n">np</span><span class="o">.</span><span class="n">sort</span><span class="p">(</span><span class="n">os</span><span class="o">.</span><span class="n">listdir</span><span class="p">(</span><span class="n">sat_cfosat</span><span class="p">))</span>
<span class="n">p</span> <span class="o">=</span> <span class="n">np</span><span class="o">.</span><span class="n">where</span><span class="p">(</span><span class="n">files_sort</span> <span class="o">==</span> <span class="n">dayYear</span><span class="p">)[</span><span class="mi">0</span><span class="p">][</span><span class="mi">0</span><span class="p">]</span>
<span class="n">folders</span> <span class="o">=</span> <span class="p">[</span><span class="n">op</span><span class="o">.</span><span class="n">join</span><span class="p">(</span><span class="n">sat_cfosat</span><span class="p">,</span> <span class="n">i</span><span class="p">)</span> <span class="k">for</span> <span class="n">i</span> <span class="ow">in</span> <span class="n">files_sort</span><span class="p">[</span><span class="n">p</span><span class="o">-</span><span class="n">n_days</span><span class="p">:</span><span class="n">p</span><span class="p">]]</span>
<span class="n">files</span> <span class="o">=</span> <span class="p">[</span><span class="n">os</span><span class="o">.</span><span class="n">listdir</span><span class="p">(</span><span class="n">fdi</span><span class="p">)</span> <span class="k">for</span> <span class="n">fdi</span> <span class="ow">in</span> <span class="n">folders</span><span class="p">]</span>
<span class="n">files</span> <span class="o">=</span> <span class="n">np</span><span class="o">.</span><span class="n">concatenate</span><span class="p">(</span><span class="n">files</span><span class="p">)</span>
<span class="n">df_data</span> <span class="o">=</span> <span class="n">io</span><span class="o">.</span><span class="n">load_files</span><span class="p">(</span><span class="n">files</span><span class="p">)</span>
</pre></div>
</div>
</div>
</div>
<div class="cell docutils container">
<div class="cell_input docutils container">
<div class="highlight-ipython3 notranslate"><div class="highlight"><pre><span></span><span class="n">df_data</span>
</pre></div>
</div>
</div>
<div class="cell_output docutils container">
<div class="output text_html"><div>
<style scoped>
    .dataframe tbody tr th:only-of-type {
        vertical-align: middle;
    }

    .dataframe tbody tr th {
        vertical-align: top;
    }

    .dataframe thead th {
        text-align: right;
    }
</style>
<table border="1" class="dataframe">
  <thead>
    <tr style="text-align: right;">
      <th></th>
      <th>name</th>
      <th>dates_st</th>
      <th>dates_ed</th>
    </tr>
  </thead>
  <tbody>
    <tr>
      <th>0</th>
      <td>CFO_OP05_SWI_L2_____F_20210213T181054_20210213...</td>
      <td>2021-02-13 18:10:54</td>
      <td>2021-02-13 19:54:57</td>
    </tr>
    <tr>
      <th>1</th>
      <td>CFO_OP05_SWI_L2_____F_20210213T085044_20210213...</td>
      <td>2021-02-13 08:50:44</td>
      <td>2021-02-13 10:23:49</td>
    </tr>
    <tr>
      <th>2</th>
      <td>CFO_OP05_SWI_L2_____F_20210213T055700_20210213...</td>
      <td>2021-02-13 05:57:00</td>
      <td>2021-02-13 07:17:04</td>
    </tr>
    <tr>
      <th>3</th>
      <td>CFO_OP05_SWI_L2_____F_20210213T071703_20210213...</td>
      <td>2021-02-13 07:17:03</td>
      <td>2021-02-13 08:50:45</td>
    </tr>
    <tr>
      <th>4</th>
      <td>CFO_OP05_SWI_L2_____F_20210213T004756_20210213...</td>
      <td>2021-02-13 00:47:56</td>
      <td>2021-02-13 02:21:32</td>
    </tr>
    <tr>
      <th>...</th>
      <td>...</td>
      <td>...</td>
      <td>...</td>
    </tr>
    <tr>
      <th>180</th>
      <td>CFO_OP05_SWI_L2_____F_20210222T001144_20210222...</td>
      <td>2021-02-22 00:11:44</td>
      <td>2021-02-22 01:45:05</td>
    </tr>
    <tr>
      <th>181</th>
      <td>CFO_OP05_SWI_L2_____F_20210222T064027_20210222...</td>
      <td>2021-02-22 06:40:27</td>
      <td>2021-02-22 08:14:26</td>
    </tr>
    <tr>
      <th>182</th>
      <td>CFO_OP05_SWI_L2_____F_20210222T045357_20210222...</td>
      <td>2021-02-22 04:53:57</td>
      <td>2021-02-22 05:21:10</td>
    </tr>
    <tr>
      <th>183</th>
      <td>CFO_OP05_SWI_L2_____F_20210222T235722_20210223...</td>
      <td>2021-02-22 23:57:22</td>
      <td>2021-02-23 00:46:55</td>
    </tr>
    <tr>
      <th>184</th>
      <td>CFO_OP05_SWI_L2_____F_20210222T171205_20210222...</td>
      <td>2021-02-22 17:12:05</td>
      <td>2021-02-22 17:34:03</td>
    </tr>
  </tbody>
</table>
<p>185 rows × 3 columns</p>
</div></div></div>
</div>
</div>
<div class="section" id="load-satellite-track-time-lags-and-starting-time">
<h2>Load satellite track time-lags and starting time<a class="headerlink" href="#load-satellite-track-time-lags-and-starting-time" title="Permalink to this headline">¶</a></h2>
<div class="cell docutils container">
<div class="cell_input docutils container">
<div class="highlight-ipython3 notranslate"><div class="highlight"><pre><span></span><span class="n">offs</span> <span class="o">=</span> <span class="n">io</span><span class="o">.</span><span class="n">load_timelags</span><span class="p">(</span><span class="n">estela_mask</span><span class="p">)</span>
</pre></div>
</div>
</div>
</div>
<div class="cell docutils container">
<div class="cell_input docutils container">
<div class="highlight-ipython3 notranslate"><div class="highlight"><pre><span></span><span class="n">tracks</span> <span class="o">=</span> <span class="n">io</span><span class="o">.</span><span class="n">load_tracks</span><span class="p">()</span>
</pre></div>
</div>
</div>
</div>
<div class="cell docutils container">
<div class="cell_input docutils container">
<div class="highlight-ipython3 notranslate"><div class="highlight"><pre><span></span><span class="n">tracks</span>
</pre></div>
</div>
</div>
<div class="cell_output docutils container">
<div class="output text_html"><div>
<style scoped>
    .dataframe tbody tr th:only-of-type {
        vertical-align: middle;
    }

    .dataframe tbody tr th {
        vertical-align: top;
    }

    .dataframe thead th {
        text-align: right;
    }
</style>
<table border="1" class="dataframe">
  <thead>
    <tr style="text-align: right;">
      <th></th>
      <th>cycle</th>
      <th>RE</th>
    </tr>
    <tr>
      <th>time</th>
      <th></th>
      <th></th>
    </tr>
  </thead>
  <tbody>
    <tr>
      <th>2020-11-24 10:16:59</th>
      <td>59</td>
      <td>E</td>
    </tr>
    <tr>
      <th>2020-12-07 10:16:59</th>
      <td>60</td>
      <td>E</td>
    </tr>
    <tr>
      <th>2020-12-20 10:16:59</th>
      <td>61</td>
      <td>E</td>
    </tr>
    <tr>
      <th>2021-01-02 10:16:59</th>
      <td>62</td>
      <td>E</td>
    </tr>
    <tr>
      <th>2021-01-15 10:16:59</th>
      <td>63</td>
      <td>E</td>
    </tr>
    <tr>
      <th>2021-01-28 10:16:59</th>
      <td>64</td>
      <td>E</td>
    </tr>
    <tr>
      <th>2021-02-10 10:16:59</th>
      <td>65</td>
      <td>E</td>
    </tr>
  </tbody>
</table>
</div></div></div>
</div>
</div>
<div class="section" id="obtain-the-pass-over-date-time">
<h2>Obtain the pass over date &amp; time<a class="headerlink" href="#obtain-the-pass-over-date-time" title="Permalink to this headline">¶</a></h2>
<div class="cell docutils container">
<div class="cell_input docutils container">
<div class="highlight-ipython3 notranslate"><div class="highlight"><pre><span></span><span class="c1"># We obtain the pass over date &amp; time by adding the T0 value</span>
<span class="n">ixs</span> <span class="o">=</span> <span class="p">[]</span>
<span class="k">for</span> <span class="n">pi</span><span class="p">,</span> <span class="n">t_cycle</span> <span class="ow">in</span> <span class="nb">enumerate</span><span class="p">(</span><span class="n">tracks</span><span class="o">.</span><span class="n">index</span><span class="o">.</span><span class="n">values</span><span class="p">):</span>
    <span class="k">for</span> <span class="n">pj</span><span class="p">,</span> <span class="n">t_off</span> <span class="ow">in</span> <span class="nb">enumerate</span><span class="p">(</span><span class="n">offs</span><span class="p">):</span>
        <span class="n">time</span> <span class="o">=</span> <span class="n">t_cycle</span> <span class="o">+</span> <span class="n">np</span><span class="o">.</span><span class="n">array</span><span class="p">([</span><span class="n">t_off</span><span class="p">],</span> <span class="n">dtype</span><span class="o">=</span><span class="s2">&quot;timedelta64[ms]&quot;</span><span class="p">)[</span><span class="mi">0</span><span class="p">]</span>
        <span class="n">sel_files</span> <span class="o">=</span> <span class="n">df_data</span><span class="o">.</span><span class="n">loc</span><span class="p">[</span><span class="n">np</span><span class="o">.</span><span class="n">where</span><span class="p">((</span><span class="n">df_data</span><span class="o">.</span><span class="n">dates_st</span> <span class="o">&lt;</span> <span class="n">time</span><span class="p">)</span> <span class="o">&amp;</span> <span class="p">(</span><span class="n">df_data</span><span class="o">.</span><span class="n">dates_ed</span> <span class="o">&gt;</span> <span class="n">time</span><span class="p">))]</span>

        <span class="k">if</span> <span class="nb">len</span><span class="p">(</span><span class="n">sel_files</span><span class="p">)</span> <span class="o">&gt;</span> <span class="mi">0</span><span class="p">:</span>
            <span class="n">ixs</span><span class="o">.</span><span class="n">append</span><span class="p">(</span><span class="n">sel_files</span><span class="o">.</span><span class="n">index</span><span class="o">.</span><span class="n">values</span><span class="p">[</span><span class="mi">0</span><span class="p">])</span>

<span class="n">ixs</span> <span class="o">=</span> <span class="n">np</span><span class="o">.</span><span class="n">sort</span><span class="p">(</span><span class="n">np</span><span class="o">.</span><span class="n">unique</span><span class="p">(</span><span class="n">ixs</span><span class="p">))</span>
<span class="nb">print</span><span class="p">(</span><span class="s1">&#39;Files found</span><span class="se">\n</span><span class="s1">&#39;</span><span class="p">)</span>
<span class="nb">print</span><span class="p">(</span><span class="n">df_data</span><span class="p">[</span><span class="s1">&#39;name&#39;</span><span class="p">][</span><span class="n">ixs</span><span class="p">]</span><span class="o">.</span><span class="n">head</span><span class="p">())</span>
</pre></div>
</div>
</div>
<div class="cell_output docutils container">
<div class="output stream highlight-myst-ansi notranslate"><div class="highlight"><pre><span></span>Files found

0    CFO_OP05_SWI_L2_____F_20210213T181054_20210213...
1    CFO_OP05_SWI_L2_____F_20210213T085044_20210213...
2    CFO_OP05_SWI_L2_____F_20210213T055700_20210213...
3    CFO_OP05_SWI_L2_____F_20210213T071703_20210213...
4    CFO_OP05_SWI_L2_____F_20210213T004756_20210213...
Name: name, dtype: object
</pre></div>
</div>
</div>
</div>
<div class="cell docutils container">
<div class="cell_input docutils container">
<div class="highlight-ipython3 notranslate"><div class="highlight"><pre><span></span><span class="n">df_sel</span> <span class="o">=</span> <span class="n">df_data</span><span class="o">.</span><span class="n">loc</span><span class="p">[</span><span class="n">ixs</span><span class="p">]</span>
<span class="n">df_sel</span><span class="o">.</span><span class="n">to_pickle</span><span class="p">(</span><span class="n">op</span><span class="o">.</span><span class="n">join</span><span class="p">(</span><span class="n">p_data</span><span class="p">,</span> <span class="s1">&#39;CFO_region.pkl&#39;</span><span class="p">))</span>
<span class="n">df_sel</span>
</pre></div>
</div>
</div>
<div class="cell_output docutils container">
<div class="output text_html"><div>
<style scoped>
    .dataframe tbody tr th:only-of-type {
        vertical-align: middle;
    }

    .dataframe tbody tr th {
        vertical-align: top;
    }

    .dataframe thead th {
        text-align: right;
    }
</style>
<table border="1" class="dataframe">
  <thead>
    <tr style="text-align: right;">
      <th></th>
      <th>name</th>
      <th>dates_st</th>
      <th>dates_ed</th>
    </tr>
  </thead>
  <tbody>
    <tr>
      <th>0</th>
      <td>CFO_OP05_SWI_L2_____F_20210213T181054_20210213...</td>
      <td>2021-02-13 18:10:54</td>
      <td>2021-02-13 19:54:57</td>
    </tr>
    <tr>
      <th>1</th>
      <td>CFO_OP05_SWI_L2_____F_20210213T085044_20210213...</td>
      <td>2021-02-13 08:50:44</td>
      <td>2021-02-13 10:23:49</td>
    </tr>
    <tr>
      <th>2</th>
      <td>CFO_OP05_SWI_L2_____F_20210213T055700_20210213...</td>
      <td>2021-02-13 05:57:00</td>
      <td>2021-02-13 07:17:04</td>
    </tr>
    <tr>
      <th>3</th>
      <td>CFO_OP05_SWI_L2_____F_20210213T071703_20210213...</td>
      <td>2021-02-13 07:17:03</td>
      <td>2021-02-13 08:50:45</td>
    </tr>
    <tr>
      <th>4</th>
      <td>CFO_OP05_SWI_L2_____F_20210213T004756_20210213...</td>
      <td>2021-02-13 00:47:56</td>
      <td>2021-02-13 02:21:32</td>
    </tr>
    <tr>
      <th>...</th>
      <td>...</td>
      <td>...</td>
      <td>...</td>
    </tr>
    <tr>
      <th>178</th>
      <td>CFO_OP05_SWI_L2_____F_20210222T033056_20210222...</td>
      <td>2021-02-22 03:30:56</td>
      <td>2021-02-22 04:53:58</td>
    </tr>
    <tr>
      <th>179</th>
      <td>CFO_OP05_SWI_L2_____F_20210222T222433_20210222...</td>
      <td>2021-02-22 22:24:33</td>
      <td>2021-02-22 23:57:23</td>
    </tr>
    <tr>
      <th>180</th>
      <td>CFO_OP05_SWI_L2_____F_20210222T001144_20210222...</td>
      <td>2021-02-22 00:11:44</td>
      <td>2021-02-22 01:45:05</td>
    </tr>
    <tr>
      <th>181</th>
      <td>CFO_OP05_SWI_L2_____F_20210222T064027_20210222...</td>
      <td>2021-02-22 06:40:27</td>
      <td>2021-02-22 08:14:26</td>
    </tr>
    <tr>
      <th>183</th>
      <td>CFO_OP05_SWI_L2_____F_20210222T235722_20210223...</td>
      <td>2021-02-22 23:57:22</td>
      <td>2021-02-23 00:46:55</td>
    </tr>
  </tbody>
</table>
<p>151 rows × 3 columns</p>
</div></div></div>
</div>
</div>
</div>

    <script type="text/x-thebe-config">
    {
        requestKernel: true,
        binderOptions: {
            repo: "binder-examples/jupyter-stacks-datascience",
            ref: "master",
        },
        codeMirrorConfig: {
            theme: "abcdef",
            mode: "conda-env-testCf-py"
        },
        kernelOptions: {
            kernelName: "conda-env-testCf-py",
            path: "./ipynb"
        },
        predefinedOutput: true
    }
    </script>
    <script>kernelName = 'conda-env-testCf-py'</script>

              </div>
              
        
            



<div class='prev-next-bottom'>
    

</div>
        
        </div>
    </div>
    <footer class="footer">
    <div class="container">
      <p>
        
          Por Alba Ricondo<br/>
        
            &copy; Derechos de autor 2021.<br/>
      </p>
    </div>
  </footer>
</main>


      </div>
    </div>
  
  <script src="../_static/js/index.1c5a1a01449ed65a7b51.js"></script>

  
  </body>
</html>